Bug 727870 - [abrt] claws-mail-3.7.9-5.fc15: msgcache_destroy / free(): invalid next size (fast) (SIGABRT)
Summary: [abrt] claws-mail-3.7.9-5.fc15: msgcache_destroy / free(): invalid next size ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:aecde50800c300eb7c24ba0e512...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-03 13:25 UTC by Mark Knoop
Modified: 2012-08-07 14:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 14:53:29 UTC


Attachments (Terms of Use)
File: maps (61.20 KB, text/plain)
2011-08-03 13:25 UTC, Mark Knoop
no flags Details
File: backtrace (26.06 KB, text/plain)
2011-08-03 13:25 UTC, Mark Knoop
no flags Details
File: backtrace (43.87 KB, text/plain)
2012-04-01 09:45 UTC, Philippe Noroy
no flags Details

Description Mark Knoop 2011-08-03 13:25:49 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        claws-mail --select #imap/mark/INBOX
comment:        Claws crashed while away from computer.
component:      claws-mail
crash_function: __GI_raise
executable:     /usr/bin/claws-mail
kernel:         2.6.40-4.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        claws-mail-3.7.9-5.fc15
reason:         Process /usr/bin/claws-mail was killed by signal 6 (SIGABRT)
time:           Wed Aug  3 13:26:58 2011
uid:            500
username:       johannes

backtrace:      Text file, 26690 bytes
maps:           Text file, 62665 bytes

dso_list:
:/lib64/libkeyutils-1.2.so keyutils-libs-1.2-7.fc15.x86_64 (Fedora Project) 1308645156
:/usr/lib64/python2.7/site-packages/cairo/_cairo.so pycairo-1.8.8-2.fc14.x86_64 (Fedora Project) 1308645531
:/usr/lib64/liblber-2.4.so.2.6.0 openldap-2.4.24-3.fc15.x86_64 (Fedora Project) 1311070217
:/usr/bin/claws-mail claws-mail-3.7.9-5.fc15.x86_64 (Fedora Project) 1312272948
:/usr/lib64/sasl2/libcrammd5.so.2.0.23 cyrus-sasl-md5-2.1.23-16.fc15.x86_64 (Fedora Project) 1308645407
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-2.fc15.x86_64 (Fedora Project) 1309157317
:/usr/lib64/libpangoft2-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1308645460
:/usr/lib64/libgdk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1308729997
:/usr/lib64/libxcb-event.so.1.0.0 xcb-util-0.3.6-2.fc15.x86_64 (Fedora Project) 1308645155
:/usr/lib64/sasl2/libdigestmd5.so.2.0.23 cyrus-sasl-md5-2.1.23-16.fc15.x86_64 (Fedora Project) 1308645407
:/usr/lib64/libpisock.so.9.0.2 pilot-link-libs-2:0.12.5-5.fc15.x86_64 (Fedora Project) 1308647694
:/usr/lib64/python2.7/site-packages/gtk-2.0/pango.so pygtk2-2.24.0-3.fc15.x86_64 (Fedora Project) 1308645533
:/lib64/libnspr4.so nspr-4.8.8-1.fc15.x86_64 (Fedora Project) 1308645223
:/usr/lib64/libgeoclue.so.0.0.0 geoclue-0.12.0-7.fc15.x86_64 (Fedora Project) 1308645418
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc15.noarch (Fedora Project) 1308645300
:/usr/lib64/libcanberra-gtk.so.0.1.8 libcanberra-gtk2-0.28-3.fc15.x86_64 (Fedora Project) 1308645497
:/lib64/libcrypt-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309768878
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1308645456
:/usr/lib64/libicudata.so.44.2 libicu-4.4.2-7.fc15.x86_64 (Fedora Project) 1308645159
:/lib64/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1308645226
:/usr/lib64/python2.7/lib-dynload/_struct.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1308645298
:/usr/share/locale/en_GB/LC_MESSAGES/glib20.mo glib2-2.28.8-1.fc15.i686 (Fedora Project) 1308654918
:/usr/share/locale/en_GB/LC_MESSAGES/glib20.mo glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1308645226
:/usr/share/locale/en_GB/LC_MESSAGES/gtk20.mo gtk2-2.24.4-2.fc15.i686 (Fedora Project) 1308730065
:/usr/share/locale/en_GB/LC_MESSAGES/gtk20.mo gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1308729997
:/usr/lib64/libgstvideo-0.10.so.0.24.0 gstreamer-plugins-base-0.10.33-1.fc15.x86_64 (Fedora Project) 1308645467
:/usr/lib64/libssl.so.1.0.0d openssl-1.0.0d-1.fc15.x86_64 (Fedora Project) 1308645290
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc15.x86_64 (Fedora Project) 1311070218
:/usr/lib64/claws-mail/plugins/python_plugin.so claws-mail-plugins-python-3.7.9-4.fc15.x86_64 (Fedora Project) 1310800307
:/lib64/libnss_dns-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309768878
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.0.0-2.fc15.noarch (Fedora Project) 1308645308
:/usr/lib64/libbluetooth.so.3.10.3 bluez-libs-4.87-7.fc15.x86_64 (Fedora Project) 1310545227
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1308645150
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1308645455
:/usr/lib64/libgtk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1308729997
:/usr/lib64/libjpeg.so.62.0.0 libjpeg-turbo-1.1.1-1.fc15.x86_64 (Fedora Project) 1311070219
:/usr/share/locale/en_GB/LC_MESSAGES/gdk-pixbuf.mo gdk-pixbuf2-2.23.3-2.fc15.x86_64 (Fedora Project) 1309157316
:/usr/share/locale/en_GB/LC_MESSAGES/gdk-pixbuf.mo gdk-pixbuf2-2.23.3-2.fc15.i686 (Fedora Project) 1309157326
:/usr/lib/locale/locale-archive glibc-common-2.14-4.x86_64 (Fedora Project) 1309768885
:/usr/lib64/libxslt.so.1.1.26 libxslt-1.1.26-8.fc15.x86_64 (Fedora Project) 1308645156
:/usr/lib64/python2.7/site-packages/gtk-2.0/pangocairo.so pygtk2-2.24.0-3.fc15.x86_64 (Fedora Project) 1308645533
:/usr/lib64/libXt.so.6.0.0 libXt-1.1.0-1.fc15.x86_64 (Fedora Project) 1308645457
:/usr/lib64/libicuuc.so.44.2 libicu-4.4.2-7.fc15.x86_64 (Fedora Project) 1308645159
:/usr/lib64/libetpan.so.16.0.0 libetpan-1.1-1.fc15.x86_64 (Fedora Project) 1312272937
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1308645457
:/usr/lib64/sasl2/libanonymous.so.2.0.23 cyrus-sasl-lib-2.1.23-16.fc15.x86_64 (Fedora Project) 1308645154
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-2.fc15.x86_64 (Fedora Project) 1308645155
:/usr/share/locale/en_GB/LC_MESSAGES/gtk20-properties.mo gtk2-devel-2.24.4-2.fc15.x86_64 (Fedora Project) 1308730053
:/usr/lib64/python2.7/lib-dynload/operator.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1308645298
:/usr/lib64/claws-mail/plugins/attachwarner.so claws-mail-plugins-attachwarner-3.7.9-4.fc15.x86_64 (Fedora Project) 1310800307
:/lib64/libusb-1.0.so.0.0.0 libusb1-1.0.8-7.fc15.x86_64 (Fedora Project) 1308645155
:/usr/lib64/libgstapp-0.10.so.0.24.0 gstreamer-plugins-base-0.10.33-1.fc15.x86_64 (Fedora Project) 1308645467
:/usr/lib64/libcanberra.so.0.2.5 libcanberra-0.28-3.fc15.x86_64 (Fedora Project) 1308645456
:/usr/lib64/gconv/ISO8859-1.so glibc-2.14-4.x86_64 (Fedora Project) 1309768878
:/usr/lib64/libtasn1.so.3.1.9 libtasn1-2.7-2.fc15.x86_64 (Fedora Project) 1308645160
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1308645385
:/lib64/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.x86_64 (Fedora Project) 1312272935
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.x86_64 (Fedora Project) 1308645288
:/lib64/libdl-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309768878
:/usr/lib64/gconv/CP1252.so glibc-2.14-4.x86_64 (Fedora Project) 1309768878
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-2.fc15.x86_64 (Fedora Project) 1309157316
:/usr/lib64/libnotify.so.4.0.0 libnotify-0.7.3-1.fc15.x86_64 (Fedora Project) 1308645470
:/usr/lib64/python2.7/site-packages/glib/_glib.so pygobject2-2.28.6-1.fc15.x86_64 (Fedora Project) 1308730040
:/usr/share/locale/en_GB/LC_MESSAGES/claws-mail.mo claws-mail-3.7.9-5.fc15.x86_64 (Fedora Project) 1312272948
:/usr/lib64/libgailutil.so.18.0.1 gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1308729997
:/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/_gtk.so pygtk2-2.24.0-3.fc15.x86_64 (Fedora Project) 1308645533
:/usr/lib64/libgstbase-0.10.so.0.29.0 gstreamer-0.10.34-1.fc15.x86_64 (Fedora Project) 1308645245
:/usr/lib64/libgstinterfaces-0.10.so.0.24.0 gstreamer-plugins-base-0.10.33-1.fc15.x86_64 (Fedora Project) 1308645467
:/lib64/libm-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309768878
:/usr/lib64/claws-mail/plugins/notification_plugin.so claws-mail-plugins-notification-3.7.9-4.fc15.x86_64 (Fedora Project) 1310800307
:/lib64/ld-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309768878
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.6-3.fc15.x86_64 (Fedora Project) 1308645151
:/usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1308645284
:/usr/lib64/libgpgme.so.11.7.0 gpgme-1.3.0-4.fc15.x86_64 (Fedora Project) 1308645420
:/usr/lib64/python2.7/lib-dynload/_functoolsmodule.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1308645298
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1308645456
:/usr/lib64/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1308645154
:/usr/lib64/gtk-2.0/modules/libpk-gtk-module.so PackageKit-gtk-module-0.6.16-1.fc15.x86_64 (Fedora Project) 1310545336
:/lib64/libutil-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309768878
:/usr/lib64/libgnome-keyring.so.0.1.1 libgnome-keyring-3.0.3-1.fc15.x86_64 (Fedora Project) 1308645228
:/lib64/libcom_err.so.2.1 libcom_err-1.41.14-2.fc15.x86_64 (Fedora Project) 1308645151
:/usr/share/fonts/abattis-cantarell/Cantarell-Bold.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1308645284
:/usr/lib64/libfreetype.so.6.6.2 freetype-2.4.4-4.fc15.x86_64 (Fedora Project) 1308645222
:/lib64/libgcrypt.so.11.6.0 libgcrypt-1.4.6-1.fc15.x86_64 (Fedora Project) 1308645153
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1308645224
:/usr/lib64/libxcb-atom.so.1.0.0 xcb-util-0.3.6-2.fc15.x86_64 (Fedora Project) 1308645155
:/lib64/libudev.so.0.11.1 libudev-167-4.fc15.x86_64 (Fedora Project) 1308645153
:/lib64/libkrb5.so.3.3 krb5-libs-1.9.1-5.fc15.x86_64 (Fedora Project) 1310373141
:/usr/lib64/libsoup-2.4.so.1.4.0 libsoup-2.34.1-1.fc15.x86_64 (Fedora Project) 1308645246
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1308645154
:/usr/lib64/libnssutil3.so nss-util-3.12.10-1.fc15.x86_64 (Fedora Project) 1308645223
:/usr/lib64/sasl2/libgssapiv2.so.2.0.23 cyrus-sasl-gssapi-2.1.23-16.fc15.x86_64 (Fedora Project) 1308645248
:/usr/lib64/libsqlite3.so.0.8.6 sqlite-3.7.5-3.fc15.x86_64 (Fedora Project) 1308645223
:/usr/lib64/libsasl2.so.2.0.23 cyrus-sasl-lib-2.1.23-16.fc15.x86_64 (Fedora Project) 1308645154
:/lib64/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1308645226
:/usr/lib64/libassuan.so.0.0.0 libassuan-2.0.0-4.fc15.x86_64 (Fedora Project) 1308645176
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1308645228
:/usr/lib64/libpython2.7.so.1.0 python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1308645298
:/usr/lib64/libgnutls.so.26.16.14 gnutls-2.10.5-1.fc15.x86_64 (Fedora Project) 1308645160
:/usr/lib64/python2.7/site-packages/gobject/_gobject.so pygobject2-2.28.6-1.fc15.x86_64 (Fedora Project) 1308730040
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.x86_64 (Fedora Project) 1308645455
:/usr/lib64/libnss3.so nss-3.12.10-1.fc15.x86_64 (Fedora Project) 1308645414
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14-4.x86_64 (Fedora Project) 1309768878
:/usr/lib64/libsmime3.so nss-3.12.10-1.fc15.x86_64 (Fedora Project) 1308645414
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1308645455
:/usr/share/fonts/hartke-aurulent-sans/AurulentSansMono-Regular.otf hartke-aurulent-sans-mono-fonts-20070504-4.fc15.noarch (Fedora Project) 1308652197
:/usr/share/locale/en_GB/LC_MESSAGES/atk10.mo atk-2.0.0-1.fc15.i686 (Fedora Project) 1308654919
:/usr/share/locale/en_GB/LC_MESSAGES/atk10.mo atk-2.0.0-1.fc15.x86_64 (Fedora Project) 1308645228
:/usr/lib64/libtdb.so.1.2.9 libtdb-1.2.9-9.fc15.x86_64 (Fedora Project) 1308645154
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc15.x86_64 (Fedora Project) 1308645151
:/usr/lib64/libpyglib-2.0-python.so.0.0.0 pygobject2-2.28.6-1.fc15.x86_64 (Fedora Project) 1308730040
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.x86_64 (Fedora Project) 1312272936
:/usr/lib64/claws-mail/plugins/bogofilter.so claws-mail-plugins-bogofilter-3.7.9-5.fc15.x86_64 (Fedora Project) 1312273047
:/lib64/libkrb5support.so.0.1 krb5-libs-1.9.1-5.fc15.x86_64 (Fedora Project) 1310373141
:/lib64/libgpg-error.so.0.7.0 libgpg-error-1.9-2.fc15.x86_64 (Fedora Project) 1308645153
:/usr/lib64/libpangocairo-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1308645460
:/lib64/libc-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309768878
:/lib64/librt-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309768878
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1308645455
:/lib64/libidn.so.11.6.2 libidn-1.19-2.fc15.x86_64 (Fedora Project) 1308645232
:/usr/lib64/claws-mail/plugins/fancy.so claws-mail-plugins-fancy-3.7.9-4.fc15.x86_64 (Fedora Project) 1310800307
:/usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-xpm.so gdk-pixbuf2-2.23.3-2.fc15.x86_64 (Fedora Project) 1309157316
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.0-10.fc15.x86_64 (Fedora Project) 1312272936
:/usr/lib64/libsoup-gnome-2.4.so.1.4.0 libsoup-2.34.1-1.fc15.x86_64 (Fedora Project) 1308645246
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4-4.fc15.x86_64 (Fedora Project) 1308645154
:/usr/lib64/libcompface.so.1.0.0 compface-1.5.2-12.x86_64 (Fedora Project) 1308647694
:/usr/lib64/python2.7/site-packages/gtk-2.0/gio/_gio.so pygobject2-2.28.6-1.fc15.x86_64 (Fedora Project) 1308730040
:/usr/lib64/libldap-2.4.so.2.6.0 openldap-2.4.24-3.fc15.x86_64 (Fedora Project) 1311070217
:/usr/lib64/python2.7/lib-dynload/cStringIO.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1308645298
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-1.fc15.x86_64 (Fedora Project) 1308645456
:/lib64/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1308645226
:/usr/lib64/python2.7/lib-dynload/stropmodule.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1308645298
:/usr/lib64/python2.7/lib-dynload/_socketmodule.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1308645298
:/usr/lib64/libicui18n.so.44.2 libicu-4.4.2-7.fc15.x86_64 (Fedora Project) 1308645159
:/usr/lib64/python2.7/site-packages/gtk-2.0/gio/unix.so pygobject2-2.28.6-1.fc15.x86_64 (Fedora Project) 1308730040
:/usr/lib64/sasl2/libplain.so.2.0.23 cyrus-sasl-plain-2.1.23-16.fc15.x86_64 (Fedora Project) 1308645192
:/usr/lib64/libcurl.so.4.2.0 libcurl-7.21.3-8.fc15.x86_64 (Fedora Project) 1309157320
:/lib64/libresolv-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309768878
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.9-2.fc15.x86_64 (Fedora Project) 1308645154
:/lib64/libgssapi_krb5.so.2.2 krb5-libs-1.9.1-5.fc15.x86_64 (Fedora Project) 1310373141
:/lib64/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1308645226
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1308645153
:/usr/lib64/python2.7/lib-dynload/_localemodule.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1308645298
:/lib64/libnsl-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309768878
:/usr/lib64/libssl3.so nss-3.12.10-1.fc15.x86_64 (Fedora Project) 1308645414
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.0-2.fc15.x86_64 (Fedora Project) 1308645153
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1308645457
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1308645152
:/lib64/libcrypto.so.1.0.0d openssl-1.0.0d-1.fc15.x86_64 (Fedora Project) 1308645290
:/lib64/libnss_mdns4_minimal.so.2 nss-mdns-0.10-9.fc15.x86_64 (Fedora Project) 1308655164
:/usr/lib64/libenchant.so.1.6.0 enchant-1:1.6.0-2.fc15.x86_64 (Fedora Project) 1308645236
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1308645454
:/usr/lib64/libgstreamer-0.10.so.0.29.0 gstreamer-0.10.34-1.fc15.x86_64 (Fedora Project) 1308645245
:/usr/lib64/libatk-1.0.so.0.9.1 atk-2.0.0-1.fc15.x86_64 (Fedora Project) 1308645228
:/usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so gtk2-engines-2.20.2-2.fc15.x86_64 (Fedora Project) 1308645526
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1308645385
:/usr/lib64/python2.7/lib-dynload/_ssl.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1308645298
:/usr/lib64/libssh2.so.1.0.1 libssh2-1.2.7-1.fc15.x86_64 (Fedora Project) 1308645407
:/lib64/libplds4.so nspr-4.8.8-1.fc15.x86_64 (Fedora Project) 1308645223
:/usr/share/locale/en_GB/LC_MESSAGES/libc.mo glibc-common-2.14-4.x86_64 (Fedora Project) 1309768885
:/usr/lib64/sasl2/liblogin.so.2.0.23 cyrus-sasl-plain-2.1.23-16.fc15.x86_64 (Fedora Project) 1308645192
:/lib64/libuuid.so.1.3.0 libuuid-2.19.1-1.4.fc15.x86_64 (Fedora Project) 1311070218
:/lib64/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1308645226
:/usr/lib64/python2.7/site-packages/gtk-2.0/atk.so pygtk2-2.24.0-3.fc15.x86_64 (Fedora Project) 1308645533
:/usr/lib64/gio/modules/libgioremote-volume-monitor.so gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1308645385
:/lib64/libnss_files-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309768878
:/lib64/libusb-0.1.so.4.4.4 libusb-1:0.1.3-9.fc15.x86_64 (Fedora Project) 1309157325
:/lib64/libpthread-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309768878
:/usr/lib64/libstartup-notification-1.so.0.0.0 startup-notification-0.10-4.fc13.x86_64 (Fedora Project) 1308645455
:/usr/lib64/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.x86_64 (Fedora Project) 1308645154
:/usr/lib64/libxcb-aux.so.0.0.0 xcb-util-0.3.6-2.fc15.x86_64 (Fedora Project) 1308645155
:/lib64/libplc4.so nspr-4.8.8-1.fc15.x86_64 (Fedora Project) 1308645223
:/lib64/libk5crypto.so.3.1 krb5-libs-1.9.1-5.fc15.x86_64 (Fedora Project) 1310373141
:/usr/lib64/libgstpbutils-0.10.so.0.24.0 gstreamer-plugins-base-0.10.33-1.fc15.x86_64 (Fedora Project) 1308645467
:/usr/lib64/sasl2/libsasldb.so.2.0.23 cyrus-sasl-lib-2.1.23-16.fc15.x86_64 (Fedora Project) 1308645154
:/lib64/libdb-4.8.so db4-4.8.30-3.fc15.x86_64 (Fedora Project) 1308645154
:/usr/lib64/libpango-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1308645460
:/usr/lib64/claws-mail/plugins/att_remover.so claws-mail-plugins-att-remover-3.7.9-4.fc15.x86_64 (Fedora Project) 1310800306
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-3.fc15.x86_64 (Fedora Project) 1308645455
:/usr/lib64/libwebkitgtk-1.0.so.0.7.2 webkitgtk-1.4.2-1.fc15.x86_64 (Fedora Project) 1309855074
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1308645155

environ:
:XDG_SESSION_ID=3
:HOSTNAME=brahms.leipzig
:ANDROID_SWT=/usr/lib64/eclipse
:TERM=xterm-256color
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=8904bff705b4b428f1df0cf800000008-1312371296.588620-1449367861
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-xDbRUC
:QTINC=/usr/lib64/qt-3.3/include
:USER=johannes
:USERNAME=johannes
:MAIL=/var/spool/mail/johannes
:PATH=/home/johannes/bin:/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin
:DESKTOP_SESSION=gnome
:PWD=/home/johannes
:EDITOR=vim
:GNOME_KEYRING_PID=1867
:LANG=en_GB.utf8
:GDM_LANG=en_GB.utf8
:HISTIGNORE=&:ls:cd:ll:bf:fg
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/johannes
:SHLVL=1
:LOGNAME=johannes
:WINEDEBUG=fixme-all
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-TO71HtE4up,guid=2bc4a3ccdb67c9f1e87e4a1600000034
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/johannes
:DISPLAY=:0.0
:TEXMFHOME=/home/johannes/.texmf
:VAMP_PATH=/home/johannes/.vamp:/usr/local/lib64/vamp:/usr/lib64/vamp
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-johannes-BeeBM9/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1875,unix/unix:/tmp/.ICE-unix/1875
:ORBIT_SOCKETDIR=/tmp/orbit-johannes
:DESKTOP_AUTOSTART_ID=10eecd1d24e4d32cce131237129744834300000018750001

var_log_messages:
:Aug  2 09:15:48 brahms yum[15751]: Updated: claws-mail-3.7.9-5.fc15.x86_64
:Aug  2 09:17:27 brahms yum[15751]: Updated: claws-mail-plugins-bogofilter-3.7.9-5.fc15.x86_64
:Aug  2 09:18:05 brahms yum[15751]: Updated: claws-mail-devel-3.7.9-5.fc15.x86_64
:Aug  3 13:26:58 brahms abrt[2570]: saved core dump of pid 2133 (/usr/bin/claws-mail) to /var/spool/abrt/ccpp-2011-08-03-13:26:58-2133.new/coredump (80957440 bytes)

xsession_errors:
:** (claws-mail:2133): WARNING **: [12:35:38] IMAP error on brahms.leipzig: STATUS error
:** (claws-mail:2133): WARNING **: [12:37:51] IMAP error on brahms.leipzig: STATUS error
:** (claws-mail:2133): WARNING **: [12:39:54] IMAP error on brahms.leipzig: STATUS error
:** (claws-mail:2133): WARNING **: [12:41:56] IMAP error on brahms.leipzig: STATUS error
:** (claws-mail:2133): WARNING **: [12:44:02] IMAP error on brahms.leipzig: STATUS error
:** (claws-mail:2133): WARNING **: [12:46:05] IMAP error on brahms.leipzig: STATUS error
:** (claws-mail:2133): WARNING **: [12:48:08] IMAP error on brahms.leipzig: STATUS error
:** (claws-mail:2133): WARNING **: [12:50:10] IMAP error on brahms.leipzig: STATUS error
:** (claws-mail:2133): WARNING **: [12:52:13] IMAP error on brahms.leipzig: STATUS error
:** (claws-mail:2133): WARNING **: [12:54:15] IMAP error on brahms.leipzig: STATUS error
:** (claws-mail:2133): WARNING **: [12:56:17] IMAP error on brahms.leipzig: STATUS error
:** (claws-mail:2133): WARNING **: [12:58:20] IMAP error on brahms.leipzig: STATUS error
:** (claws-mail:2133): WARNING **: [13:00:23] IMAP error on brahms.leipzig: STATUS error
:** (claws-mail:2133): WARNING **: [13:02:25] IMAP error on brahms.leipzig: STATUS error
:** (claws-mail:2133): WARNING **: [13:04:28] IMAP error on brahms.leipzig: STATUS error
:** (claws-mail:2133): WARNING **: [13:06:31] IMAP error on brahms.leipzig: STATUS error
:** (claws-mail:2133): WARNING **: [13:08:34] IMAP error on brahms.leipzig: STATUS error
:** (claws-mail:2133): WARNING **: [13:10:37] IMAP error on brahms.leipzig: STATUS error
:** (claws-mail:2133): WARNING **: [13:12:40] IMAP error on brahms.leipzig: STATUS error
:** (claws-mail:2133): WARNING **: [13:14:42] IMAP error on brahms.leipzig: STATUS error
:** (claws-mail:2133): WARNING **: [13:16:44] IMAP error on brahms.leipzig: STATUS error
:** (claws-mail:2133): WARNING **: [13:18:46] IMAP error on brahms.leipzig: STATUS error
:** (claws-mail:2133): WARNING **: [13:20:48] IMAP error on brahms.leipzig: STATUS error
:** (claws-mail:2133): WARNING **: [13:22:51] IMAP error on brahms.leipzig: STATUS error
:** (claws-mail:2133): WARNING **: [13:24:54] IMAP error on brahms.leipzig: STATUS error
:** (claws-mail:2133): WARNING **: [13:26:57] IMAP error on brahms.leipzig: STATUS error
:*** glibc detected *** claws-mail: free(): invalid next size (fast): 0x00000000044e9150 ***
:claws-mail(slist_free_strings+0x18)[0x5d6dc8]
:claws-mail(procmsg_msginfo_free+0x18c)[0x57e5bc]
:claws-mail[0x51b21c]
:claws-mail(msgcache_destroy+0x2d)[0x51b55d]
:claws-mail(folder_item_free_cache+0x39)[0x4b8129]
:claws-mail(folder_clean_cache_memory+0xf2)[0x4b8242]
:claws-mail[0x4ba526]
:claws-mail(folder_item_scan_full+0xc22)[0x4ba202]
:claws-mail(folderview_check_new+0x36d)[0x4c6d9d]
:claws-mail(inc_all_account_mail+0x11f)[0x4e182f]
:claws-mail[0x4e19ce]
:claws-mail(main+0x16b9)[0x446299]
:claws-mail[0x446db5]
:00400000-00727000 r-xp 00000000 fd:01 150259                             /usr/bin/claws-mail
:00927000-00975000 rw-p 00327000 fd:01 150259                             /usr/bin/claws-mail
:00b74000-00b8b000 rw-p 00374000 fd:01 150259                             /usr/bin/claws-mail
:7ffa41b20000-7ffa41b48000 r-xp 00000000 fd:01 274574                     /usr/lib64/claws-mail/plugins/notification_plugin.so
:7ffa41b48000-7ffa41d48000 ---p 00028000 fd:01 274574                     /usr/lib64/claws-mail/plugins/notification_plugin.so
:7ffa41d48000-7ffa41d4b000 rw-p 00028000 fd:01 274574                     /usr/lib64/claws-mail/plugins/notification_plugin.so
:7ffa48c8a000-7ffa48c9a000 r-xp 00000000 fd:01 265906                     /usr/lib64/claws-mail/plugins/python_plugin.so
:7ffa48c9a000-7ffa48e9a000 ---p 00010000 fd:01 265906                     /usr/lib64/claws-mail/plugins/python_plugin.so
:7ffa48e9a000-7ffa48e9c000 rw-p 00010000 fd:01 265906                     /usr/lib64/claws-mail/plugins/python_plugin.so
:7ffa4a79f000-7ffa4a7a7000 r-xp 00000000 fd:01 281524                     /usr/lib64/claws-mail/plugins/fancy.so
:7ffa4a7a7000-7ffa4a9a7000 ---p 00008000 fd:01 281524                     /usr/lib64/claws-mail/plugins/fancy.so
:7ffa4a9a7000-7ffa4a9a8000 rw-p 00008000 fd:01 281524                     /usr/lib64/claws-mail/plugins/fancy.so
:7ffa4a9a8000-7ffa4a9b1000 r-xp 00000000 fd:01 274599                     /usr/lib64/claws-mail/plugins/bogofilter.so
:7ffa4a9b1000-7ffa4abb1000 ---p 00009000 fd:01 274599                     /usr/lib64/claws-mail/plugins/bogofilter.so
:7ffa4abb1000-7ffa4abb2000 rw-p 00009000 fd:01 274599                     /usr/lib64/claws-mail/plugins/bogofilter.so
:7ffa4abb2000-7ffa4abb7000 r-xp 00000000 fd:01 284130                     /usr/lib64/claws-mail/plugins/att_remover.so
:7ffa4abb7000-7ffa4adb7000 ---p 00005000 fd:01 284130                     /usr/lib64/claws-mail/plugins/att_remover.so
:7ffa4adb7000-7ffa4adb8000 rw-p 00005000 fd:01 284130                     /usr/lib64/claws-mail/plugins/att_remover.so
:7ffa4adb8000-7ffa4adbd000 r-xp 00000000 fd:01 274534                     /usr/lib64/claws-mail/plugins/attachwarner.so
:7ffa4adbd000-7ffa4afbc000 ---p 00005000 fd:01 274534                     /usr/lib64/claws-mail/plugins/attachwarner.so
:7ffa4afbc000-7ffa4afbd000 rw-p 00004000 fd:01 274534                     /usr/lib64/claws-mail/plugins/attachwarner.so
:7ffa53a21000-7ffa53a24000 r--p 00000000 fd:01 150272                     /usr/share/locale/en_GB/LC_MESSAGES/claws-mail.mo

Comment 1 Mark Knoop 2011-08-03 13:25:54 UTC
Created attachment 516515 [details]
File: maps

Comment 2 Mark Knoop 2011-08-03 13:25:56 UTC
Created attachment 516516 [details]
File: backtrace

Comment 3 Michael Schwendt 2011-08-03 14:08:38 UTC
> HOME=/home/johannes

> *** glibc detected *** claws-mail: free(): invalid next size (fast):

> xsession_errors:
> ** (claws-mail:2133): WARNING **: [13:26:57] IMAP error
> on brahms.leipzig: STATUS error

Many errors there. What kind of server is brahms.leipzig?

Comment 4 Mark Knoop 2011-08-03 14:26:12 UTC
Local dovecot. But these IMAP errors have always been there since I started using claws-mail (more than 5 years) and never seem to cause any difficulty.

Anything I can do to help with this?

Comment 5 Philippe Noroy 2012-04-01 09:45:45 UTC
I wanted to import mails from another program.
I had to choose the location of the file, but, having suddenly something more important to do, I chose to close rather than selecting a file, and... the program terminated !


backtrace_rating: 4
Package: claws-mail-3.8.0-1.fc16
OS Release: Fedora release 16 (Verne)

Comment 6 Philippe Noroy 2012-04-01 09:45:54 UTC
Created attachment 574304 [details]
File: backtrace

Comment 7 Michael Schwendt 2012-04-01 10:36:23 UTC
@ Philippe Noroy 

That's a different backtrace than what is attached in comment 2. It doesn't look like a duplicate of this ticket, but rather like a problem in the gtk2 filechooser:

#3  0x00000033d707dda6 in malloc_printerr (action=3, str=0x33d7173649 "free(): invalid pointer", ptr=<optimized out>) at malloc.c:5021
#4  0x00000033d904b7e3 in g_free (mem=0x2c28f70) at gmem.c:263
#5  0x00000033d90606bf in g_slice_free1 (mem_size=0, mem_block=0x2c28f70) at gslice.c:907
#6  0x00000033e2d02186 in gtk_file_system_model_finalize (object=0x2c0e1c0) at gtkfilesystemmodel.c:1003
#7  0x00000033dac1145d in g_object_unref (_object=0x2c0e1c0) at gobject.c:2746
        __PRETTY_FUNCTION__ = "g_object_unref"
#8  0x00000033e2ced3c9 in stop_loading_and_clear_list_model (impl=0x2ace220, remove_from_treeview=0) at gtkfilechooserdefault.c:6463
#9  0x00000033e2cf461e in gtk_file_chooser_default_finalize (object=0x2ace220) at gtkfilechooserdefault.c:861

Comment 8 Fedora End Of Life 2012-08-07 14:53:31 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.